Subject: Re: Antwort: SQL Database
From: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 23 Apr 2002 10:01:00 -0700 (PDT)

Clemens,

I agree. for our immediate needs, we will only have to address the four 
tables listed below. There is a view that joins the VISU_MINANAMAIN and 
VISU_MINANAEXT that you can load data against.

As I mentioned in an earlier letter, the SITE_ID field is to allow multiple 
sites to be housed in a single database. We can handle this in three ways
create a database trigger that automatically fills this field or
load a value from each turbine (you do it)
eliminate this filed. I would do this only if we will not put more than one 
site in a single database.

the DTTM field was added to the KEY value because the "Plant Index" number 
repeats under certain conditions. This eliminates the potential for key 
violations

the ID field is directly from the raw data

the PLANT_NDX field id the "Plant Index" number mentioned above directly from 
the raw data

the TRBN_ROW_OTM field should be removed. This was poor design on our part.

all other fields are directly from the raw data. Mark Fisher should be able 
to provide the remaining field mappings.

I hope this makes the task clearer

Thanks

David Miller

Clemens W"ste@TWTDE
04/23/2002 06:58 AM
To: David Miller/EWC/Enron@ENRON
cc: Hollis Kimbrough/EWC/Enron@ENRON, Robert Grant/EWC/Enron@Enron, Jeff 
Marecic/EWC/Enron@Enron 

Subject: Antwort: SQL Database  

Hallo David,

in our actual development  I suppose I need only four tables of the database:

VISU_ERRDEV,
VISU_STATDATA,
VISU_MINANAMAIN,
VISU_MINANAEXT

The fields in the tables in VisuPro and in the SQL-Server are not the same.
Some fields are not described.
I really need an assignment from the VisuPro tables to the new tables.

As example I have written some comments / questions to the following table 
structures.
(The list is not complet, it is a subset)

VISU_STATDAT:

SITE_ID varchar   //  Source ?
ID  numeric   //  written by me, or automatically 
DTTM  datetime  
PLANT_NDX numeric   
TIMEOFFSET numeric   
KW_HRS numeric   // I suppose PROD field
CON  numeric   
OTT  numeric   
SOTT  numeric   
DTT  numeric   
LOTT  numeric   
WOTT  numeric   
ESTT  numeric   
MTT  numeric   
RTT  numeric   
PRODULM numeric   
CONULM numeric   
OTULM  numeric   
SOTULM numeric   
DTULM  numeric   
LOTULM numeric   
WOTULM numeric   
ESTULM numeric   
MTULM numeric   
RTULM  numeric   

VISU_MINANAMAIN:

SITE_ID   varchar  // Source ?
ID    numeric  // written by me or automatically ?
DTTM    datetime 
TRBN_ROW_OTM  varchar  // what's this, what is to do with this field
PLANT_NDX   numeric  
KW    numeric  // what's this, what is to do with this field
COS_PHI   numeric 
VOLT_PHASE_A  numeric 
VOLT_PHASE_B  numeric 
VOLT_PHASE_C  numeric 
CURRENT_PHASE_A  numeric 
CURRENT_PHASE_B  numeric 
CURRENT_PHASE_C  numeric 
GEN_RPM   numeric 
ROTOR_RPM   numeric 
ACTUAL_ANGLE_BLADE_1 numeric 
WIND_SPEED   numeric 
NACELLE_POSITION  numeric 
TRAN_OIL_PRSS  numeric 
ACTUAL_ANGLE_BLADE_2 numeric 
ACTUAL_ANGLE_BLADE_3 numeric 
SET_ANGLE_BLADE_1 numeric 
SET_ANGLE_COS_PH I numeric 
OPERATING_STATE  numeric 
WIND_DEVIATION  numeric 
GEN_1_TEMP   numeric 
GEN_2_TEMP   numeric 
BEARING_A_TEMP  numeric 
BEARING_B_TEMP  numeric 
TRAN_TEMP   numeric 
AMBIENT_TEMP  numeric 
TRAN_BEARING_A_TEMP numeric 
TRAN_BEARING_B_TEMP numeric 
TRAN_RETURN_TEMP numeric 
WIND_DEVIATION_ONE_SEC numeric 
APPARENT_KW  numeric  // what's this, what is to do with this field
ERROR_NUMBER  numeric  // what's this, what is to do with this field
CRE_USERID   varchar  // what's this, what is to do with this field
CRE_DATE   datetime  // what's this, what is to do with this field
MDFD_USERID  varchar  // what's this, what is to do with this field
MDFD_DATE   datetime // what's this, what is to do with this field
DEL_FLAG   varchar  // what's this, what is to do with this field

Best regards,

Clemens W"ste

ENRON Wind